> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dncscrub.com/llms.txt
> Use this file to discover all available pages before exploring further.

# State Emergencies

> Get all states currently under emergency calling restrictions



## OpenAPI

````yaml GET /v1.5/ComplianceGuide/StateEmergenciesRestricted
openapi: 3.0.1
info:
  title: DNCScrub APIs at dataapi.dncscrub.com
  version: '1.5'
servers:
  - url: https://dataapi.dncscrub.com
security:
  - LoginId: []
paths:
  /v1.5/ComplianceGuide/StateEmergenciesRestricted:
    get:
      tags:
        - ComplianceGuide
      summary: Get all States that are emergencies restricted
      parameters:
        - name: loginId
          in: header
          description: LoginId (aka APIKey)
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/StateEmergenciesRestrictedResponseDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReasonPhraseError'
      security: []
components:
  schemas:
    StateEmergenciesRestrictedResponseDTO:
      type: object
      properties:
        State:
          type: string
          nullable: true
        IsInEmergency:
          type: boolean
      additionalProperties: false
    ReasonPhraseError:
      type: object
      properties:
        ReasonPhrase:
          type: string
          description: Description of the error
          nullable: true
      additionalProperties: false
  securitySchemes:
    LoginId:
      type: apiKey
      description: >-
        LoginId Authentication: Authenticate using the LoginId generated from
        DNCScrub User Manager. In HTTP header place "loginId: {loginId}"
      name: loginId
      in: header

````